MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029051Open CASCADE[OCCT] OCCT:Visualizationpublic2017-08-25 15:412017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029051: Visualization, TKOpenGl - wrong color of transparent dynamic highlight with OIT tuned ON
DescriptionWith OIT turned ON, transparent dynamic highlight produces incorrect color.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vdisplay -dispMode 1 b
vfit
vselprops dynHighlight -dispMode 1 -color RED -transp 0.2
vmoveto 250 250
vrenderparams -oit off
if { [vreadpixel 250 250 rgb name] != "ORANGERED3" } { puts "Error: wrong highlight color 
with OIT turned OFF!"}
vrenderparams -oit 0
vreadpixel 250 250 rgb name
if { [vreadpixel 250 250 rgb name] != "ORANGERED3" } { puts "Error: wrong highlight color 
with OIT turned ON!"}
TagsNo tags attached.
Test case numberbugs vis bug28527, bugs vis bug29051
Attached Filespng file icon transp_hi_iot_on_KO.png (2,217 bytes) 2017-08-25 15:41
png file icon transp_hi_iot_off_OK.png (2,216 bytes) 2017-08-25 15:41

- Relationships
child of 0027925closedbugmaster Visualization - implement order-independent transparency algorithm within rasterization rendering 
child of 0027818closedkgv Visualization - provide an interface to define highlight presentation properties 

-  Notes
(0069886)
git (administrator)
2017-08-25 15:51

Branch CR29051 has been created by kgv.

SHA-1: 8044d52e1f1f6df22ecdca8691dbe1590a65f742


Detailed log of new commits:

Author: kgv
Date: Fri Aug 25 15:49:40 2017 +0300

    0029051: Visualization, TKOpenGl - wrong color of transparent dynamic highlight with OIT tuned ON
    
    OpenGl_PrimitiveArray::Render() - removed obsolete code, which become redundant (and broken)
    after moving rendering of transparent objects into OpenGl_LayerList::renderTransparent().
(0069937)
kgv (developer)
2017-08-25 20:12

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29051-master-KGV/view/COMPARE/ [^]
(0069949)
bugmaster (administrator)
2017-08-27 10:26

Combination -
OCCT branch : CR29051 : SHA-1: 8044d52e1f1f6df22ecdca8691dbe1590a65f742
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29051-master-KGV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

New test cases are OK
(0070206)
git (administrator)
2017-09-04 18:20

Branch CR29051 has been deleted by kgv.

SHA-1: 8044d52e1f1f6df22ecdca8691dbe1590a65f742

- Related Changesets
occt: master e21fec81
Timestamp: 2017-08-25 12:49:40
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029051: Visualization, TKOpenGl - wrong color of transparent dynamic highlight with OIT tuned ON

OpenGl_PrimitiveArray::Render() - removed obsolete code, which become redundant (and broken)
after moving rendering of transparent objects into OpenGl_LayerList::renderTransparent().
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
add - tests/bugs/vis/bug28527 Diff ] File ]
add - tests/bugs/vis/bug29051 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-25 15:41 kgv New Issue
2017-08-25 15:41 kgv Assigned To => kgv
2017-08-25 15:41 kgv File Added: transp_hi_iot_on_KO.png
2017-08-25 15:41 kgv File Added: transp_hi_iot_off_OK.png
2017-08-25 15:42 kgv Relationship added child of 0027925
2017-08-25 15:51 git Note Added: 0069886
2017-08-25 15:52 kgv Relationship added child of 0027818
2017-08-25 20:12 kgv Note Added: 0069937
2017-08-25 20:12 kgv Assigned To kgv => bugmaster
2017-08-25 20:12 kgv Status new => resolved
2017-08-25 20:12 kgv Status resolved => reviewed
2017-08-27 10:26 bugmaster Note Added: 0069949
2017-08-27 10:26 bugmaster Status reviewed => tested
2017-08-27 10:28 bugmaster Test case number => bugs vis bug28527, bugs vis bug29051
2017-08-31 18:37 bugmaster Changeset attached => occt master e21fec81
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070206
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker